Rails.application.routes.draw do
  post 'sessions/create', to: 'sessions#create', as: 'login'

  get 'sessions/destroy', to: 'sessions#destroy', as: 'logout'

  resources :answers
  resources :questions
  resources :questionnaires
  # get 'questionnaires', to: 'questionnaires#index', as: 'questionnaires'
  get 'users/new', to: 'users#new', as: 'new_user'
  post 'users/create', to: 'users#create', as: 'user_create'

  get 'users/edit/:id', to: 'users#edit', as: 'edit_user' 
  put 'users/update/:id', to: 'users#update', as: 'update_user'

  get 'users/show/:id', to: 'users#show', as: 'user_show'

  get 'users/forgotten', to: 'users#forgotten', as: 'forgotten_user'
  post 'users/send_forgotten', to: 'users#send_forgotten', as: 'send_forgotten_user'

  get 'say/hello', to: 'say#hello', as: 'say_hello'

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
