require 'test_helper'

class UsersControllerTest < ActionDispatch::IntegrationTest
  setup do
    @valaki = users(:valaki)
  end

  teardown do
  end

  test "should get new" do
    get new_user_url
    assert_response :success
    assert_select 'legend', 'Register a new user'
    assert_select 'legend', 2
  end

  test "register a new user" do
    post user_create_url, params: { user: { username: 'senki', password: 'a', password_confirmation: 'a', email: 'senki@mail.bme.hu' } }
    assert_response :redirect
    assert_not_nil session[:user]
  end

  test "should get edit" do
    post login_url, params: { username: users(:valaki).username, password: 'a'}, headers: { "HTTP_REFERER" => '/say/hello' }
    assert_equal session[:user], users(:valaki).id
    get edit_user_url(@valaki.id)
    assert_response :success
  end

  test "update user profile" do
    post login_url, params: { username: users(:valaki).username, password: 'a'}, headers: { "HTTP_REFERER" => '/say/hello' }
    assert_equal session[:user], users(:valaki).id
    put update_user_url(@valaki.id), params: { user: { username: @valaki.username, email: 'valaki2@mail.bme.hu' } }, headers: { "HTTP_REFERER" => say_hello_path }
    @valaki2 = User.find @valaki.id
    assert_not_equal @valaki2.email, @valaki.email
  end

  test "should get show" do
    post login_url, params: { username: users(:valaki).username, password: 'a'}, headers: { "HTTP_REFERER" => '/say/hello' }
    assert_equal session[:user], users(:valaki).id
    get user_show_url(@valaki.id)
    assert_response :success
  end

  test "should get forgotten" do
    get forgotten_user_url
    assert_response :success
  end

end
